<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: zwar_calendar_panel.php
| Author: ZEZoar
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."zwar_calendar_panel/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."zwar_calendar_panel/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."zwar_calendar_panel/locale/English.php";
}

if (file_exists(INFUSIONS."zwar_warscript/zwar_functions.php") && dbcount("(inf_id)", DB_INFUSIONS, "inf_folder='zwar_warscript'")) {
	add_to_head("<link rel='stylesheet' href='".INFUSIONS."zwar_calendar_panel/zwar_cal_styles.css' type='text/css' media='screen' />");
	require_once INFUSIONS."zwar_warscript/zwar_functions.php";
	
	$zwc_time_now = time()+($settings['timeoffset']*3600);
	$zwc_year = isset($_POST['zwar_calyear']) && isnum($_POST['zwar_calyear']) ? $_POST['zwar_calyear'] : date("Y", $zwc_time_now);
	$zwc_month = isset($_POST['zwar_calmonth']) && isnum($_POST['zwar_calmonth']) ? $_POST['zwar_calmonth'] : date("n", $zwc_time_now);
	$zwc_month_now = mktime(0,0,0,$zwc_month, 1, $zwc_year);
	switch ($zwc_month) {
		case 1: $zwc_month_forward=$zwc_month+1;$zwc_month_back=12;$zwc_year_forward=$zwc_year;$zwc_year_back=$zwc_year-1; break;
		case 12: $zwc_month_forward=1;$zwc_month_back=$zwc_month-1;$zwc_year_forward=$zwc_year+1;$zwc_year_back=$zwc_year; break;
		default: $zwc_month_forward=$zwc_month+1;$zwc_month_back=$zwc_month-1;$zwc_year_forward=$zwc_year;$zwc_year_back=$zwc_year;
	}
	$zwc_first_day = date("w", $zwc_month_now)-1;
	$zwc_first_day = $zwc_first_day == -1 ? 6 : $zwc_first_day;
	$swc_month_daycount = date("t", $zwc_month_now);
	$zwc_monthname = date("F", $zwc_month_now);
	
	$zwar_cal_wararray = array();
	$result = dbquery("SELECT war_id, war_date, war_game_id, opp_name_short, DAYOFMONTH(FROM_UNIXTIME(war_date)) AS warday FROM ".DB_ZWAR_WARS." AS zw LEFT JOIN ".DB_ZWAR_OPPONENTS." AS zop ON zw.war_opp_id=zop.opp_id WHERE MONTH(FROM_UNIXTIME(war_date))='".$zwc_month."' AND YEAR(FROM_UNIXTIME(war_date))='".$zwc_year."' ORDER BY war_date ASC");
	if (dbrows($result)) {
		while($data = dbarray($result)) {
			if (!isset($zwar_cal_wararray[$data['warday']]['matches'])) { $zwar_cal_wararray[$data['warday']]['matches'] = ""; } {
				$zwar_cal_wararray[$data['warday']]['matches'] .= "<tr><td class='tbl1 zwc-popup-content' colspan='2'>".display_zwar_games($data['war_game_id'], true, false)."&nbsp;<a href='".BASEDIR."zwar.php?page=war_details&amp;warid=".$data['war_id']."' class='side'>".showdate("%R", $data['war_date'])." vs ".$data['opp_name_short']."</a></td></tr>\n";
			}
		}
	}
	$result = dbquery("SELECT user_id, user_name, DAYOFMONTH(user_birthdate) as user_bday FROM ".DB_USERS." WHERE MONTH(user_birthdate)='".$zwc_month."'");
	if (dbrows($result)) {
		while($data = dbarray($result)) {
			if (!isset($zwar_cal_wararray[$data['user_bday']]['bdays'])) { $zwar_cal_wararray[$data['user_bday']]['bdays'] = ""; } {
				$zwar_cal_wararray[$data['user_bday']]['bdays'] .= "<tr><td class='tbl1' colspan='2'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a></td></tr>";
			}
		}
	}
	$zwar_cal_info = "";
	if (count($zwar_cal_wararray)) {
		foreach ($zwar_cal_wararray as $zwar_cal_warday => $zwar_cal_warinfo) {
			$zwar_cal_info .= "<div id='zwar_calinfo_".$zwar_cal_warday."' style='display:none; position:absolute;'>
			<table cellpadding='0' cellspacing='1' class='tbl-border zwc-popup-table'>";
			$closelinkset = false;
			if (isset($zwar_cal_warinfo['matches']) && $zwar_cal_warinfo['matches']!="") { 
				$zwar_cal_info .= "<tr>
				<td class='tbl2 zwc-popup-head'><strong>".$locale['zwar_cal01']."</strong></td>
				<td class='tbl2 zwc-popup-head' width='1%' style='white-space:nowrap;'><a href=\"javascript:overlayclose('zwar_calinfo_".$zwar_cal_warday."');\" class='side'>X</a></td>
				</tr>".$zwar_cal_warinfo['matches'];
				$closelinkset = true;
			}
			if (isset($zwar_cal_warinfo['bdays']) && $zwar_cal_warinfo['bdays']!="") { 
				$zwar_cal_info .= "<tr>
				<td class='tbl2 zwc-popup-head'".($closelinkset ? " colspan='2'" : "")."><strong>".$locale['zwar_cal02']."</strong></td>
				".(!$closelinkset ? "<td class='tbl2 zwc-popup-head' width='1%'><a href=\"javascript:overlayclose('zwar_calinfo_".$zwar_cal_warday."');\" class='zwar-cal-closelink'>X</a></td>" : "")."
				</tr>".$zwar_cal_warinfo['bdays'];	
			}
			$zwar_cal_info .= "</table></div>";
		}
	}
	openside($p_data['panel_name'], true, "on");
	echo "<div class='zwc-maintable'>
	<table cellpadding='0' cellspacing='0' class='center' width='100%'><tr>
	<td class='tbl2 zwc-nav' align='center'><form name='zwc_backform' method='post' action='".FUSION_REQUEST."'>
	<input type='hidden' name='zwar_calyear' value='".$zwc_year_back."'/>
	<input type='hidden' name='zwar_calmonth' value='".$zwc_month_back."'/>
	<a href='javascript:document.zwc_backform.submit();'>&lt;</a>
	</form></td>
	<td class='tbl2 zwc-nav' colspan='5' align='center'>".$zwc_monthname." - ".$zwc_year."</td>
	<td class='tbl2 zwc-nav' align='center'><form name='zwc_forwform' method='post' action='".FUSION_REQUEST."'>
	<input type='hidden' name='zwar_calyear' value='".$zwc_year_forward."'/>
	<input type='hidden' name='zwar_calmonth' value='".$zwc_month_forward."'/>
	<a href='javascript:document.zwc_forwform.submit();'>&gt;</a>
	</form></td>
	</tr><tr>";
	for ($i=0;$i<7;$i++) {
		echo "<td width='".($i<5 ? 14 : 15)."%' class='tbl2 zwc-daybar' align='center'>".$locale['zwar_cal03'][$i]."</td>";
	}
	echo "</tr><tr>";
	$zwc_day_count = 1;
	for ($i=0;$i<$zwc_first_day;$i++) {
		echo "<td class='tbl1 zwc-emptycell".($i>5 ? "-we" : "")."'></td>";
		$zwc_day_count++;
	}
	for ($i=1;$i<=$swc_month_daycount;$i++) {
		$zwc_click = isset($zwar_cal_wararray[$i]) ? "style='cursor:pointer;' onclick=\"javascript:zwar_show_calinfo(".$i.", this);\"" : false;
		$secondaryclass = $zwc_day_count < 6 ? " zwc-weekday" : " zwc-weekend";
		if (date("j", $zwc_time_now) == $i && date("n", $zwc_time_now) == $zwc_month && date("Y", $zwc_time_now) == $zwc_year) { $secondaryclass = " zwc-today"; }
		$secondaryclass .= $zwc_click ? "-event" : "";
		echo "<td class='tbl1".$secondaryclass."' ".($zwc_click ? $zwc_click : "")." align='center'>$i</td>";
		$zwc_day_count++;
		if ($zwc_day_count > 7 && $i < $swc_month_daycount) {
			echo "</tr><tr>";
			$zwc_day_count = 1;
		}
	}
	if ($zwc_day_count>1) {
		for ($i=$zwc_day_count;$i<=7;$i++) {
			echo "<td class='tbl1 zwc-emptycell".($i>5 ? "-we" : "")."'></td>";
		}
	}
	echo "</tr></table></div>".$zwar_cal_info; 
	
	closeside();
	add_to_head("<script type='text/javascript'>
	<!--
	function zwar_show_calinfo(obj_id, curobj) {
		for(var i=1; i<32; i++) {
			if (document.getElementById('zwar_calinfo_' + i)) {
				document.getElementById('zwar_calinfo_' + i).style.display = 'none';
			}
		}
		overlay(curobj, 'zwar_calinfo_' + obj_id, 'bottomright');
	}
	-->
	</script>");
}
?>